# SITE PERSONALITY CONFIGURATION FILE ________________________________________
# DESCRIPTION ________________________________________________________________
# This file is used to configure a IPS site personality. You configure
# personality, access, virtual file system and service settings here. You find
# information about the available settings in Chapter 4 of the documentation.
# ____________________________________________________________________________
[GLOBAL]
ServiceSections=FTP-1 HTTP-1 POP3-1 SMTP-1

SiteAdminMail=admin@iq.to
SiteAdminUser=admin
SiteDescription=Example IPS powered site

HomeDirectory=/home
StatDirectory=.\config\main\stats
UserDirectory=.\config\main\users

GroupsDefined=users

# ____________________________________________________________________________
[ACCESS]
!admin;admin;users;100;777;
.\config\main\vfs\drives\*;admin;users;700;077;
.\config\main\vfs\ftp\*;admin;users;777;011;
.\config\main\vfs\home\*;admin;users;700;077;
.\config\main\vfs\html\cgi-bin\*;admin;users;111;033;
.\config\main\vfs\html\*;admin;users;755;055;
.\documentation\*;admin;users;555;555;
*;admin;users;700;044;

# ____________________________________________________________________________
[VFS]
/=.\config\main\vfs
/drives/c=c:\
/drives/d=d:\
/drives/e=e:\
/drives/f=f:\
/drives/g=g:\
/html/!documentation=.\documentation

# ____________________________________________________________________________
[FTP-1]
Protocol=ftpd

ClientAddress=*
Host=ftp

RootDirectory=/ftp
WelcomeFile=.\messages\ftp\welcome.msg

hookOnConnect=.\scripts\ftp\OnConnect.rexx
hookOnSite=.\scripts\ftp\OnSite.rexx
hookOnUser=.\scripts\ftp\OnUser.rexx

# ____________________________________________________________________________
[HTTP-1]
Protocol=httpd

ClientAddress=*
Host=http
LogFlag=3

RootDirectory=/html
IndexFiles=index.html index.htm

ApplicationDirectory=.php
ApplicationDirectory[/cgi-bin]=.bat .cmd .exe .php .rexx .rx
Application[.bat]=cmd.exe /c
Application[.cmd]=cmd.exe /c
Application[.exe]=
Application[.php]=php.exe
Application[.rexx]=rexx:
Application[.rx]=rexx:

FIBDirectory[/]=.html
SSIDirectory[/]=.html

# ExtendedLogFields=x-common
# ExtendedLogFields=date time c-ip cs-method cs-uri sc-status time-taken bytes cached
# ExtendedLogFile=.\log\main-http-1-extended.log

# ____________________________________________________________________________
[IMAP4-1]
Protocol=imap4d

ClientAddress=*
Host=imap4

# ____________________________________________________________________________
[POP3-1]
Protocol=pop3d

ClientAddress=*
Host=pop3

# ____________________________________________________________________________
[SMTP-1]
Protocol=smtpd

ClientAddress=*
Host=smtp

ForwardAddress=10.* 169.254.* 172.1?.* 172.2?.* 172.3?.* 192.168.* !*
QueueDirectory=.\queue\mail
LocalDomain=localhost
LocalDomains=@localhost @[127.0.0.1]

[--END--]
# END ________________________________________________________________________